import 'dart:convert';

import 'package:recase/recase.dart';

import '../../utils/utils.dart';
import '../create/create_file.dart';
import '../find_file/find_file_by_name.dart';

void addPage({required String featureName}) {
  var appPagesFile = findFileByName('app_pages.dart');
  var lines = <String>[];
  var content = formatterDartFile(appPagesFile.readAsStringSync());
  lines = LineSplitter.split(content).toList();
  var indexRoutes = lines
      .indexWhere((element) => element.trim().contains('static final routes'));
  var index =
      lines.indexWhere((element) => element.contains('];'), indexRoutes);
  var line = '''GetPage(
name: _Paths.$featureName, 
page:()=> const ${featureName.pascalCase}View(), 
binding: ${featureName.pascalCase}Binding(),
),
''';
  lines.insert(index, line);

  lines.insert(0,
      "import '../modules/$featureName/bindings/${featureName}_binding.dart';");
  lines.insert(
      0, "import '../modules/$featureName/views/${featureName}_view.dart';");

  writeFile(
    appPagesFile.path,
    lines.join('\n'),
    overwrite: true,
    logger: false,
  );

  LogService.success('Page $featureName added to app_pages.dart');
}
